//*****************************************************************
// 
//  JAVA Source for com.idautomation.pdf417; 2010
//  
//	 Copyright IDAutomation.com, Inc. All rights reserved.
//	Redistribution and use of this code in source and/or binary 
//	forms, with or without modification, are permitted provided 
//	that: (1) all copies of the source code retain the above 
//	unmodified copyright notice and this entire unmodified 
//	section of text, (2) You or Your organization owns a valid 
//	Developer License to this product from IDAutomation.com 
//	and, (3) when any portion of this code is bundled in any 
//	form with an application, a valid notice must be provided 
//	within the user documentation, start-up screen or in the 
//	help-about section of the application that specifies 
//	IDAutomation.com as the provider of the Software bundled 
//	with the application.
//*****************************************************************

package com.idautomation.pdf417;

import java.awt.*;

/** This class enables the paint() method in the main BarCode class to 
rotate a barcode when it is not visable. */

public class IDAImageCreator {

  private java.awt.Image im;
  public Graphics g;

  public IDAImageCreator() {
  }
  public Image getImage(  int w,int h) {
        int s=w;
        if (h>w) s=h;
        // create square image
	im=new java.awt.image.BufferedImage(s,s,java.awt.image.BufferedImage.TYPE_BYTE_INDEXED);
        g = ((java.awt.image.BufferedImage) im).createGraphics();
        return im;
  }

  public Graphics getGraphics() {

    return g;

  }


}
